## Wookie Movies - (React + Redux)

### Objective

Your assignment is to implement a movie streaming dashboard using TypeScript and React.

### Brief

You are the owner of a movie theater in Thikkiiana City, on the Wookiee homeworld of Kashyyyk. Your customers are bored with the never changing selection and are asking for something completely different - they want to see what's playing on Earth. Wookies are the main exporter of Computer Technology for the New Republic so naturally you roll up your sleeves and get to work. You quickly scribble down some notes and after a few hours of relentless work you have a design in mind.

### Tasks

- Implement assignment using:
  - Language: TypeScript
  - Framework: React
- Build out the project to the designs. Usability improvements are encouraged.
- Scale the solution for enterprise uses. You can add libraries to support your solution.
- Code should be production quality.
- Connect your application to the CodeSubmit Movie Database at https://wookie.codesubmit.io/movies
- For authentication pass the "Authorization: Bearer Wookie2019" header
- Parse the API response and display the results as outlined in the design. Make sure to group movies by categories.
- Implement a detail view for the movies in the list
- Implement search by connecting to https://wookie.codesubmit.io/movies?q=<search_term>

## Available Scripts

This project was bootstrapped with [Create React App](https://github.com/facebook/create-react-app).
In the project directory, you can run:

### `npm start`

Runs the app in the development mode.\
Open [http://localhost:3000](http://localhost:3000) to view it in the browser.

The page will reload if you make edits.\
You will also see any lint errors in the console.

### `npm test`

Launches the test runner in the interactive watch mode.\
See the section about [running tests](https://facebook.github.io/create-react-app/docs/running-tests) for more information.

### `npm run build`

Builds the app for production to the `build` folder.\
It correctly bundles React in production mode and optimizes the build for the best performance.

The build is minified and the filenames include the hashes.\
Your app is ready to be deployed!

See the section about [deployment](https://facebook.github.io/create-react-app/docs/deployment) for more information.

### `npm run eject`

**Note: this is a one-way operation. Once you `eject`, you can’t go back!**

If you aren’t satisfied with the build tool and configuration choices, you can `eject` at any time. This command will remove the single build dependency from your project.

Instead, it will copy all the configuration files and the transitive dependencies (webpack, Babel, ESLint, etc) right into your project so you have full control over them. All of the commands except `eject` will still work, but they will point to the copied scripts so you can tweak them. At this point you’re on your own.

You don’t have to ever use `eject`. The curated feature set is suitable for small and middle deployments, and you shouldn’t feel obligated to use this feature. However we understand that this tool wouldn’t be useful if you couldn’t customize it when you are ready for it.
